<< ../main/twoloop.m;

(* two-loop diagram
         ________
       t/ | W |   b
   Z __/  |   |
       \  |b  |t
       t\_|___|__ b
            W
*)
verden = {-MTs + k1 . k1, -MTs + (k1 + p1 + p2) . (k1 + p1 + p2), -MWs + k2 . k2,
 -MTs + (k2 - p2) . (k2 - p2), -MWs + (k2 - p1 - p2) . (k2 - p1 - p2),
 (k1 + k2) . (k1 + k2)};
vernum = (MZs^2*(2*(-4*MWs + MZs)*(-4 + $d)^2*(k1 . k2)^2 +
   k2 . k2*(4*MTs*(MWs - MZs)*(-6 + $d)*(-2 + $d)^2 +
     (-4*MWs + MZs)*(-4 + $d)^3*p1 . k1) + (-4*MWs + MZs)*(-4 + $d)*k1 . k1*
    ((6 - 6*$d + $d^2)*k1 . k2 + (14 - 8*$d + $d^2)*k2 . k2 +
     (-2 + $d)*(MZs - 2*p1 . k2)) +
   k1 . k2*((-2 + $d)*(-((4*MWs - MZs)*MZs*(-4 + $d)) +
       4*MTs*(MWs - MZs)*(12 - 8*$d + $d^2)) - 2*(4*MWs - MZs)*
      (8 - 6*$d + $d^2)*p1 . k1 + (4*MWs - MZs)*(-4 + $d)^3*p1 . k2) +
   (4*(-4*MWs + MZs)*(MZs*(-2 + $d)^2 + 8*p1 . k1 - (-4 + $d)*$d*p1 . k2)*
     (p2 . k1)^2)/MZs +
   (((4*MWs - MZs)*(-4 + $d)*k1 . k2*(MZs*(-2 + $d)^2 +
        4*(-4 + $d)*p1 . k1) + 2*(2*(4*MWs - MZs)*(8 - 6*$d + $d^2)*
         (p1 . k1)^2 - (-4 + $d)*p1 . k1*
         ((MZs*(-4*MWs + MZs) + 4*MTs*(MWs - MZs)*(-2 + $d))*(-2 + $d) -
          (4*MWs - MZs)*(6 - 4*$d + $d^2)*k1 . k1 - (4*MWs - MZs)*(-4 + $d)^2*
           p1 . k2) + 2*(2*MTs*(MWs - MZs)*MZs*(-2 + $d)^2 -
          (-4 + $d)*(4*MTs*(MWs - MZs)*(-2 + $d)^2 - (4*MWs - MZs)*
             (10 - 6*$d + $d^2)*k1 . k1)*p1 . k2)))*p2 . k2)/MZs +
   (2*(-4*MWs + MZs)*(-4 + $d)*(-2 + $d)^2*p1 . k1*(p2 . k2)^2)/MZs +
   p2 . k1*(-2*(4*MWs - MZs)*(-4 + $d)*$d*k1 . k1 +
     2*(4*MWs - MZs)*(8 - 4*$d + $d^2)*k1 . k2 +
     (2*(-4*MWs + MZs)*(-4 + $d)^3*(p1 . k2)^2)/MZs -
     4*(1 - (4*MWs)/MZs)*p1 . k1*(8*MZs - 6*MZs*$d + MZs*$d^2 + 8*k1 . k2 -
       8*k2 . k2 + 4*$d*k2 . k2 - (-4 + $d)*(-2 + $d)*p1 . k2 -
       (8 - 4*$d + $d^2)*p2 . k2) + (-2 + $d)^2*
      (-((4*MWs - MZs)*(-8 + $d)*k2 . k2) +
       4*(2*MTs*(MWs - MZs) + (-4*MWs + MZs)*p2 . k2)) -
     (2*(-4 + $d)*p1 . k2*(-((4*MWs - MZs)*(6 - 4*$d + $d^2)*k1 . k1) -
        2*(4*MWs - MZs)*(-4 + $d)*k1 . k2 + (-2 + $d)*(MZs*(-4*MWs + MZs) +
          4*MTs*(MWs - MZs)*(-2 + $d) - (4*MWs - MZs)*(-2 + $d)*p2 . k2)))/
      MZs)))/(2048*Sqrt[MWs]*(-MWs + MZs)^(5/2)*Pi^4*(-2 + $d));
 
pars = {MZs,MWs,MTs};  muUV2=MZs;
momext = {p1,p2};
rels = {Dot[p1,p1]->0, Dot[p2,p2]->0, Dot[p1,p2]->MZs/2};

res = TwoLoop[verden, vernum, k1, k2, SimpLevel->2, StatusInfo->2];
WriteCode[res, Deform->False, WorkingDirectory->"ttbWW"];
