<< ../main/oneloop.m;

(* Process gamma(p1) gamma(p2) -> gamma(p3) gamma(p4) *)
pars = {s,t};
momext = {p1,p2,p3,ep1,ep2,ep3c,ep4c};

(* helicity ++++: *)
rels = {Dot[p1,p1]->0, Dot[p2,p2]->0, Dot[p3,p3]->0,
        Dot[ep1,p1]->0, Dot[ep2,p2]->0, Dot[ep3c,p3]->0,
        Dot[p1,p2]->s/2, Dot[p1,p3]->(-t)/2, Dot[p2,p3]->(s+t)/2,
        Dot[ep1,ep2]->1, Dot[ep1,ep3c]->-t/s, Dot[ep1,ep4c]->1+t/s,
        Dot[ep2,ep3c]->1+t/s, Dot[ep2,ep4c]->-t/s, Dot[ep3c,ep4c]->1,
        Dot[ep1,p2]->0, Dot[ep2,p1]->0, Dot[ep4c,p3]->0,
        Dot[ep1,p3]->-E2sint, Dot[ep2,p3]->E2sint, Dot[ep3c,p1]->E2sint,
        Dot[ep3c,p2]->-E2sint, Dot[ep4c,p1]->-E2sint, Dot[ep4c,p2]->E2sint,
        E2sint :> Sqrt[-t/2*(1+t/s)]};
(*
(* helicity -+++: *)
rels = {Dot[p1,p1]->0, Dot[p2,p2]->0, Dot[p3,p3]->0,
        Dot[ep1,p1]->0, Dot[ep2,p2]->0, Dot[ep3c,p3]->0,
        Dot[p1,p2]->s/2, Dot[p1,p3]->(-t)/2, Dot[p2,p3]->(s+t)/2,
        Dot[ep1,ep2]->0, Dot[ep1,ep3c]->-t/s-1, Dot[ep1,ep4c]->t/s,
        Dot[ep2,ep3c]->1+t/s, Dot[ep2,ep4c]->-t/s, Dot[ep3c,ep4c]->1,
        Dot[ep1,p2]->0, Dot[ep2,p1]->0, Dot[ep4c,p3]->0,
        Dot[ep1,p3]->-E2sint, Dot[ep2,p3]->E2sint, Dot[ep3c,p1]->E2sint,
        Dot[ep3c,p2]->-E2sint, Dot[ep4c,p1]->-E2sint, Dot[ep4c,p2]->E2sint,
        E2sint :> Sqrt[-t/2*(1+t/s)]};
(* helicity ++-+: *)
rels = {Dot[p1,p1]->0, Dot[p2,p2]->0, Dot[p3,p3]->0,
        Dot[ep1,p1]->0, Dot[ep2,p2]->0, Dot[ep3c,p3]->0,
        Dot[p1,p2]->s/2, Dot[p1,p3]->(-t)/2, Dot[p2,p3]->(s+t)/2,
        Dot[ep1,ep2]->1, Dot[ep1,ep3c]->-t/s-1, Dot[ep1,ep4c]->1+t/s,
        Dot[ep2,ep3c]->t/s, Dot[ep2,ep4c]->-t/s, Dot[ep3c,ep4c]->0,
        Dot[ep1,p2]->0, Dot[ep2,p1]->0, Dot[ep4c,p3]->0,
        Dot[ep1,p3]->-E2sint, Dot[ep2,p3]->E2sint, Dot[ep3c,p1]->E2sint,
        Dot[ep3c,p2]->-E2sint, Dot[ep4c,p1]->-E2sint, Dot[ep4c,p2]->E2sint,
        E2sint :> Sqrt[-t/2*(1+t/s)]};
(* helicity ++--: *)
rels = {Dot[p1,p1]->0, Dot[p2,p2]->0, Dot[p3,p3]->0,
        Dot[ep1,p1]->0, Dot[ep2,p2]->0, Dot[ep3c,p3]->0,
        Dot[p1,p2]->s/2, Dot[p1,p3]->(-t)/2, Dot[p2,p3]->(s+t)/2,
        Dot[ep1,ep2]->1, Dot[ep1,ep3c]->-t/s-1, Dot[ep1,ep4c]->t/s,
        Dot[ep2,ep3c]->t/s, Dot[ep2,ep4c]->-t/s-1, Dot[ep3c,ep4c]->1,
        Dot[ep1,p2]->0, Dot[ep2,p1]->0, Dot[ep4c,p3]->0,
        Dot[ep1,p3]->-E2sint, Dot[ep2,p3]->E2sint, Dot[ep3c,p1]->E2sint,
        Dot[ep3c,p2]->-E2sint, Dot[ep4c,p1]->-E2sint, Dot[ep4c,p2]->E2sint,
        E2sint :> Sqrt[-t/2*(1+t/s)]};
*)


Print["Term 1"];
ggden1 =<< gggg1.den1;
ggnum1 =<< gggg1.num1;
gg1 = OneLoop[ggden1, ggnum1, k1];
WriteCode[gg1, Deform->True, WorkingDirectory->"gggg1"];

Print["Term 2"];
ggden2 =<< gggg1.den2;
ggnum2 =<< gggg1.num2;
gg2 = OneLoop[ggden2, ggnum2, k1];
WriteCode[gg2, Deform->True, WorkingDirectory->"gggg2"];

Print["Term 3"];
ggden3 =<< gggg1.den3;
ggnum3 =<< gggg1.num3;
gg3 = OneLoop[ggden3, ggnum3, k1];
WriteCode[gg3, Deform->True, WorkingDirectory->"gggg3"];
